Bug 1302179 - PRESETS: enable mcelog by default
PRESETS: enable mcelog by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 22:23 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2016-03-29 08:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 08:11:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2016-01-26 22:23:22 EST
Description of problem:
mcelog was enabled by default (using hardcoded systemctl enable). It was updated to use presets, but should still be started by default. It is ExclusiveArch: i686 x86_64.
Comment 1 Stephen Gallagher 2016-01-27 08:20:30 EST
Zbigniew, when making requests like this, can you please provide the following information:

* Does the service require post-rpm-installation configuration in order to be useful (for example, does it need manual edits to a configuration file)?
* Does the service listen on a network socket for connections originating on a separate physical or virtual machine?
* Is the service non-persistent (i.e. run once at startup and exit)?

Based on those answers, we can determine whether I should just go ahead and apply the preset or file a FESCo ticket for approval first.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-27 08:36:00 EST
mcelog is a utility that collects and decodes Machine Check Exception data
on x86-32 and x86-64 systems.

(In reply to Stephen Gallagher from comment #1)
> * Does the service require post-rpm-installation configuration in order to
> be useful (for example, does it need manual edits to a configuration file)?
No, out of the box it just logs events, which is what we want.

> * Does the service listen on a network socket for connections originating on
> a separate physical or virtual machine?
It listens on a UNIX socket.

> * Is the service non-persistent (i.e. run once at startup and exit)?
Persistent.

> Based on those answers, we can determine whether I should just go ahead and
> apply the preset or file a FESCo ticket for approval first.
It meets the criteria to be enabled without going through FESCo.
Comment 3 Stephen Gallagher 2016-01-27 11:52:18 EST
Submitted as pull-requests to the fedora-release package.

* https://pagure.io/fedora-release/pull-request/22 (Rawhide/F24)
* https://pagure.io/fedora-release/pull-request/23 (F23)
Comment 4 Jan Kurik 2016-02-24 09:21:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Mike McCune 2016-03-28 18:27:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.